Resolution: Invalid   

Description

I was trying:

source:../show?rev=vc_port

But the ? was transformed %3F

So maybe there is another on how I can specify a branch with the source referencing?

History

#1 - 2011-10-06 20:37 - Anonymous

It got transformed so try this

source : "../show?rev=vc_port"

#2 - 2011-10-07 11:38 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Please ask your questions in forum, this tracker is for bugs and feature requests only.

BTW, you're not using the source syntax adequately, see wiki syntax help page (use e.g. source:/branches/1.2-stable/README.rdoc).

#3 - 2011-10-25 12:35 - Griffin Beckett

SPAM

#4 - 2011-10-27 00:40 - Anonymous

- Status changed from Closed to Reopened

Sorry I wasn't clear enough, but with my git repository it doesn't work the syntax you are suggesting.

For example in my case I would be able to do

source:/branches/vc_port/README.txt

It opens the link but I get the following error:

404

The entry or revision was not found in the repository.

Back

#5 - 2012-05-01 16:30 - Oliver Kopp

The forum entry for this seems to be Link to respository file on branch.

However, there currently is no solution to link to a file in a specific git branch.

#6 - 2012-10-15 15:06 - Gaspard van Koningsveld
https://www.redmine.org/projects/redmine/repository/svn/entry/../show%3Frev=vc_port
www.redmine.org/help/wiki_syntax.html
https://www.redmine.org/projects/redmine/repository/svn/entry/branches/1.2-stable/README.rdoc
https://www.redmine.org/projects/redmine/repository/svn/entry/branches/vc_port/README.txt
http://www.redmine.org/boards/2/topics/22548


I found the solution to link to a file in a specific branch of the linked git repository:

source:"../revisions/branch_name/entry/path/to/the/file" 

Simply replace branch_name by the name of the specific branch and replace the path of the file at the end.

You must put the quotes around the path, otherwise the .. will not be parsed correctly.
